## mathcomp-finmap 2.0.0

=== Makefile ===
# -*- Makefile -*-
# Main Makefile
include Makefile.common

## mathcomp-finmap 1.5.1

=== debian/changelog ===
mathcomp-finmap (1.5.1-3) unstable; urgency=medium

  * Depend on a proper Coq ABI.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 05 May 2022 22:34:34 +0200

mathcomp-finmap (1.5.1-2) unstable; urgency=medium

  * Trigger rebuild to depend on newer coq.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Mar 2022 22:33:42 +0100

mathcomp-finmap (1.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1005214)

 -- Julien Puydt <jpuydt@debian.org>  Wed, 09 Feb 2022 07:49:56 +0100

=== debian/control ===
Source: mathcomp-finmap
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-ocaml,
               libcoq-mathcomp-ssreflect,
               ocaml-dune
Vcs-Browser: https://salsa.debian.org/ocaml-team/mathcomp-finmap
Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-finmap.git
Homepage: https://github.com/math-comp/finmap

Package: libcoq-mathcomp-finmap
Architecture: any
Depends: coq-${F:CoqABI}, libcoq-mathcomp-ssreflect, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: finite sets and maps extension for Mathematical Components
 This package provides an extension to manage finite sets,
 finite maps and finitely supported functions extending for the
 Mathematical Components library.
 .
 The Mathematical Components library is a coherent repository of
 general-purpose formalized mathematical theories for the
 Coq proof assistant.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build @all

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp

override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

## mathcomp-finmap 1.5.2

=== debian/changelog ===
mathcomp-finmap (1.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 09 Aug 2022 22:04:13 +0200

mathcomp-finmap (1.5.1-9) unstable; urgency=medium

  * Add patch for ssreflect 1.15 support.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 16:51:52 +0200

mathcomp-finmap (1.5.1-8) unstable; urgency=medium

  * Add an autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 09:17:32 +0200

mathcomp-finmap (1.5.1-7) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:12:25 +0200

mathcomp-finmap (1.5.1-6) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Jun 2022 07:15:57 +0200

mathcomp-finmap (1.5.1-5) unstable; urgency=medium

  * Re-upload because of ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 May 2022 14:10:19 +0200

mathcomp-finmap (1.5.1-4) unstable; urgency=medium

  * Fix previous change. (Closes: #101656)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 06 May 2022 15:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
-               dh-ocaml,
+               dh-coq, dh-ocaml,
                libcoq-mathcomp-ssreflect,
                ocaml-dune
 Vcs-Browser: https://salsa.debian.org/ocaml-team/mathcomp-finmap
@@ -16,8 +16,8 @@
 
 Package: libcoq-mathcomp-finmap
 Architecture: any
-Depends: coq-${F:CoqABI}, libcoq-mathcomp-ssreflect, ${misc:Depends}
-Provides: ${ocaml:Provides}
+Depends: ${coq:Depends}, ${misc:Depends}
+Provides: ${coq:Provides}
 Description: finite sets and maps extension for Mathematical Components
  This package provides an extension to manage finite sets,
  finite maps and finitely supported functions extending for the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_build:
	dune build @all

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp.finmap set
Depends: @, coq

## mathcomp-finmap 2.0.0

=== debian/changelog ===
mathcomp-finmap (2.0.0-2build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:16:38 +0200

mathcomp-finmap (2.0.0-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:04:51 +0000

mathcomp-finmap (2.0.0-2build3) noble; urgency=medium

  * No-change rebuild for new ssreflect ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 23:13:48 +0000

mathcomp-finmap (2.0.0-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:25:27 +0100

mathcomp-finmap (2.0.0-2build1) noble; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jan 2024 19:51:35 -0500

mathcomp-finmap (2.0.0-2) unstable; urgency=medium

  * Fix autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 21 Jan 2024 09:26:43 +0100

mathcomp-finmap (2.0.0-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1047255).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:26:27 +0100

mathcomp-finmap (1.5.2-3) unstable; urgency=medium

  * Team upload
  * Fix call to dune install

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Jul 2023 06:39:59 +0200

mathcomp-finmap (1.5.2-2) unstable; urgency=medium

  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Jun 2023 15:47:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mathcomp-finmap
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp finmap
Depends: @, coq

## mathcomp-finmap 2.1.0

=== debian/changelog ===
mathcomp-finmap (2.1.0-3build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:19:25 +0200

mathcomp-finmap (2.1.0-3build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:34:52 +0200

mathcomp-finmap (2.1.0-3build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:05:46 +0200

mathcomp-finmap (2.1.0-3build6) questing; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 07:25:35 -0400

mathcomp-finmap (2.1.0-3build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:02:54 +0100

mathcomp-finmap (2.1.0-3build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:50:08 +0100

mathcomp-finmap (2.1.0-3build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 08:58:21 +0100

mathcomp-finmap (2.1.0-3build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 10:32:57 +0100

mathcomp-finmap (2.1.0-3build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 08:43:34 -0500

mathcomp-finmap (2.1.0-3) unstable; urgency=medium

  * Bump standards-version to 4.7.0.
  * Unbreak autopkg test.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 24 Nov 2024 13:55:20 +0100

mathcomp-finmap (2.1.0-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 14:38:03 +0200

mathcomp-finmap (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Jan 2024 06:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mathcomp-finmap
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_build:
	dune build @all

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)

override_dh_auto_clean:
	dune clean

=== debian/watch ===
version=4
https://github.com/math-comp/finmap/tags .*/v?([\d\.]+).tar.gz

## mathcomp-finmap 2.2.2

=== debian/changelog ===
mathcomp-finmap (2.2.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 08:09:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/ocaml/ocamlvars.mk
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq,ocaml
@@ -11,6 +13,7 @@
 
 override_dh_auto_install:
 	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
+	rm -rf $(CURDIR)/debian/tmp/usr/doc/rocq-mathcomp-finmap
 
 override_dh_auto_clean:
 	dune clean
